﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Understanding the Lifecycle of a Campaign</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Understanding the Lifecycle of a Campaign</h1>
        <p>Several steps are involved in the lifecycle of a campaign. The key steps are listed below:</p>
        <div class="toc-macro client-side-toc-macro  conf-macro output-block">
            <ul>
                <li>
                    <p>
                        <MadCap:xref href="#Creating">Creating a Campaign</MadCap:xref>
                    </p>
                    <ul>
                        <li>
                            <MadCap:xref href="#Campaign">Campaign Configurations</MadCap:xref>
                            <ul>
                                <li>
                                    <p>
                                        <MadCap:xref href="#Revoke">Revoke Tasks</MadCap:xref>
                                    </p>
                                </li>
                                <li>
                                    <MadCap:xref href="#Email">Email Notifications</MadCap:xref>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <p>
                                <MadCap:xref href="#Selectin">Selecting Certifiers</MadCap:xref>
                            </p>
                        </li>
                    </ul>
                </li>
                <li>
                    <p>
                        <MadCap:xref href="#Reviewin">Reviewing Certifications</MadCap:xref>
                    </p>
                    <ul>
                        <li>
                            <p>
                                <MadCap:xref href="#Locking">Locking a Certification</MadCap:xref>
                            </p>
                        </li>
                    </ul>
                </li>
                <li>
                    <p>
                        <MadCap:xref href="#Campaign2">Campaign Expiry</MadCap:xref>
                    </p>
                </li>
                <li>
                    <p>
                        <MadCap:xref href="#Exportin">Exporting Campaigns and Certifications Data</MadCap:xref>
                    </p>
                    <ul>
                        <li>
                            <p>
                                <MadCap:xref href="#Exportin2">Exporting Individual Campaigns</MadCap:xref>
                            </p>
                        </li>
                        <li>
                            <p>
                                <MadCap:xref href="#Exportin3">Exporting Individual Certifications</MadCap:xref>
                            </p>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
        <h2 id="CampaignLifecycle-GatheringInformation">Gathering Information</h2>
        <p>Before creating a campaign, you must identify the business requirement and the data that will be part of the campaign. This includes information about the users who are being certified, certifiers, accounts, entitlements, and roles.</p>
        <h2 id="CampaignLifecycle-CreatingaCampaign"><a name="Creating"></a>Creating a Campaign</h2>
        <p>Based on the business requirement, an administrator or a user with campaign rights selects and creates a campaign from the list of available campaigns:</p>
        <ul>
            <li>
                <p>User Manager</p>
            </li>
            <li>
                <p>Entitlement Owner</p>
            </li>
            <li>
                <p>Role Owner</p>
            </li>
            <li>
                <p>Organization Owner</p>
            </li>
            <li>
                <p>Service Account Owner</p>
            </li>
            <li>
                <p>Application Owner</p>
            </li>
            <li>
                <p>Application Owner Metadata</p>
            </li>
            <li>
                <p>Self Certification</p>
            </li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p>When a campaign gets created, it holds a snapshot of the data available at the time of creation.</p>
        </div>
        <h3 id="CampaignLifecycle-CampaignConfigurations"><a name="Campaign"></a>Campaign Configurations</h3>
        <p>The <strong>Configuration</strong> options are displayed for the campaign in the <strong>Global Configurations</strong> or <strong>Create Campaign</strong> page based on the campaign that you select. The configuration options may differ for different campaign types. Apply the required configurations for the campaign that you have selected. </p>
        <h4 id="CampaignLifecycle-RevokeTasks"><a name="Revoke"></a>Revoke Tasks</h4>
        <p>Campaigns have the feature of creating revoke tasks on locking of the certification. Various options are available in the <strong>Revoke Tasks</strong> configuration settings by which the creation of tasks can be configured in a campaign.&#160;</p>
        <h4 id="CampaignLifecycle-EmailNotifications"><a name="Email"></a>Email Notifications</h4>
        <p>The campaign can be configured to provide email notification(s) at various phases of the campaign such as: when a campaign is created, completed, when a line-item in the campaign is reassigned, or to send reminder notifications.&#160;</p>
        <h3 id="CampaignLifecycle-SelectingCertifiers"><a name="Selectin"></a>Selecting Certifiers</h3>
        <p>You can select the appropriate certifiers for the campaign from the options available in the <strong>Select Certifier</strong> dropdown list.</p>
        <h2 id="CampaignLifecycle-ReviewingCertifications"><a name="Reviewin"></a>Reviewing Certifications</h2>
        <p>Once a campaign is launched, its certification is available for review by the certifier.<br />Depending on the certification type, the certifiers involved in reviewing the respective certification differ along with the items that need to be reviewed.</p>
        <p MadCap:conditions="Default.v2020X">For more information, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="cert-raso-cert.htm" pubname="IGA-User-Guide-v2020x" class="peer">Reviewing and Signing-Off Certifications</a></MadCap:conditionalText> in the <em>IGA User Guide</em>.</p>
        <p MadCap:conditions="Default.v2021X">For more information, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="cert-raso-cert.htm" pubname="IGA-User-Guide-v2021x" class="peer">Reviewing and Signing-Off Certifications</a></MadCap:conditionalText> in the <em>IGA User Guide</em>.</p>
        <p>Number of steps involved in the certification review depend on the configurations selected during campaign creation.</p>
        <p>When no action has been taken on a certification, its status is shown as <strong>New</strong>. When a certification is being worked on, its status is shown as <strong>In Progress</strong>. The status is changed to <strong>Completed</strong> after all the necessary steps are successfully completed for the certification. The status changes to <strong>Locked</strong> when the certification is completed.</p>
        <h3 id="CampaignLifecycle-LockingaCertification"><a name="Locking"></a>Locking a Certification</h3>
        <p>A certifier can lock a certification when all the line items are reviewed and required actions have been taken on the certification. After a certification gets locked, the actions taken on the certification cannot be modified. </p>
        <p>After a certification gets locked, the revoke tasks are created for the revoked items if the revoke tasks were configured during campaign creation. </p>
        <h2 id="CampaignLifecycle-CampaignExpiry"><a name="Campaign2"></a>Campaign Expiry</h2>
        <p>Campaigns have an end date that apply to all the certifications within a campaign. When the end date reaches and the <strong>Expire Attestation based on End Date (ATTESTATIONEXPIREDJOB)</strong>&#160;job is run for the campaign, the campaign expires and all the certifications within the campaign also expire.</p>
        <p><strong>Available Actions on Overdue Campaigns</strong>- Certifications of a campaign are marked overdue (displayed as&#160;<strong>OverDue</strong>) if no action is taken for the campaign till it reaches the end date. However, overdue certifications can still be actioned by certifiers until the campaign expires.</p>
        <p MadCap:conditions="Default.v2020X,Default.v2021X">Campaign owners have an option to send notifications to the certifiers of individual certifications that are overdue using the&#160;<strong>Notify</strong>&#160;option in the&#160;<strong>Certification List</strong>&#160;page.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p>If the&#160;<strong>Expire Attestation based on End Date (ATTESTATIONEXPIREDJOB)</strong>&#160;job is run for campaigns, then the campaigns that have passed the end date and are in the overdue state are expired. After a campaign expires, certifiers cannot take any action on the certification of that campaign.</p>
        </div>
        <h2 id="CampaignLifecycle-ExportingCampaignsandCertificationsData"><a name="Exportin"></a>Exporting Campaigns and Certifications Data</h2>
        <p>At any point during the campaign lifecycle, the campaign and certifications data can be exported.</p>
        <h3 id="CampaignLifecycle-ExportingIndividualCampaigns"><a name="Exportin2"></a>Exporting Individual Campaigns</h3>
        <p>The campaign owner has an option to download data for further analysis for the campaign that is assigned to him. The data is exported in the Microsoft Excel format. The exported data is based on the configuration set for the campaign when it was created. However, the advanced campaign configuration and certifier details are exported for each campaign. The advanced campaign configuration includes configuration summary, which can be used to create or launch campaigns.</p>
        <h3 id="CampaignLifecycle-ExportingIndividualCertifications"><a name="Exportin3"></a>Exporting Individual Certifications</h3>
        <p>Certifiers have an option to download data for each certification that belong to them in a campaign for further analysis. The data is exported in the Microsoft Excel format. The exported data differs for each type of the certification depending on the configuration set for the campaign containing it when the campaign was created.</p>
    </body>
</html>